<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimer1: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">kmTimer1
   </div>
   <div id="projectbrief">kmTimer1 library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('globals.html','');});
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:</div>

<h3><a id="index_k"></a>- k -</h3><ul>
<li>KM_TCC1_MINIMUM_PWM_CYCCLE_ACCURACY
: <a class="el" href="km_timer1_default_config_8h.html#a593bab06891d49982f02953116d7d662">kmTimer1DefaultConfig.h</a>
</li>
<li>KM_TCC1_PWM_OUT_A
: <a class="el" href="km_timer1_8h.html#a9d9cdd11b5a6de5c56b0cf103c9ebdaeafee364eefb0b9ac2d24ba85b8c5a5caf">kmTimer1.h</a>
</li>
<li>KM_TCC1_PWM_OUT_B
: <a class="el" href="km_timer1_8h.html#a9d9cdd11b5a6de5c56b0cf103c9ebdaeaec3dbafc78de36cc03d17674aaabae8b">kmTimer1.h</a>
</li>
<li>KM_TCC1_PWM_OUT_C
: <a class="el" href="km_timer1_8h.html#a9d9cdd11b5a6de5c56b0cf103c9ebdaea9ecd3e53b77959b102c4db550d1fd26c">kmTimer1.h</a>
</li>
<li>KM_TIMER1_USER_DATA
: <a class="el" href="km_timer1_8h.html#aef2a66c252f50bdb936e8a46f0cd1adc">kmTimer1.h</a>
</li>
<li>kmTimer1CalcDutyOnCycles()
: <a class="el" href="km_timer1_8h.html#a84ea5ee91f675175c001a93bc45b62b3">kmTimer1.h</a>
</li>
<li>kmTimer1CalcPerdiod()
: <a class="el" href="km_timer1_8h.html#a638997cdd3e81a1a18d984f48c1d8a46">kmTimer1.h</a>
</li>
<li>kmTimer1CalcPerdiodWithMinPwmAccuracy()
: <a class="el" href="km_timer1_8h.html#a4614237ba09be7b57772c3b63b3a0eb4">kmTimer1.h</a>
</li>
<li>kmTimer1CallbackType
: <a class="el" href="km_timer1_8h.html#a2701e54ed55884fa3a538d9670c8b69c">kmTimer1.h</a>
</li>
<li>kmTimer1ConfigureOCA()
: <a class="el" href="km_timer1_8h.html#ab5cbf67a81dc02111c5808520a5ccb0f">kmTimer1.h</a>
</li>
<li>kmTimer1ConfigureOCB()
: <a class="el" href="km_timer1_8h.html#aae69590864a597473911c85fff99a61c">kmTimer1.h</a>
</li>
<li>kmTimer1ConfigureOCC()
: <a class="el" href="km_timer1_8h.html#a87d5680fc1ebc624c90ed84121959211">kmTimer1.h</a>
</li>
<li>kmTimer1DisableInterruptCompA()
: <a class="el" href="km_timer1_8h.html#a1aa1f50556a618604982142b172ffd64">kmTimer1.h</a>
</li>
<li>kmTimer1DisableInterruptCompB()
: <a class="el" href="km_timer1_8h.html#acc1c0e45d6242dcea24032673326c395">kmTimer1.h</a>
</li>
<li>kmTimer1DisableInterruptCompC()
: <a class="el" href="km_timer1_8h.html#ad7b09fc348f2ce7cf782bf0316a7480d">kmTimer1.h</a>
</li>
<li>kmTimer1DisableInterruptOVF()
: <a class="el" href="km_timer1_8h.html#a61c080b292c47a0fca89585f0ffed83b">kmTimer1.h</a>
</li>
<li>kmTimer1DisableInterruptsAll()
: <a class="el" href="km_timer1_8h.html#ad2ef91b9b05fa28ecdc4c0dbbd39b15f">kmTimer1.h</a>
</li>
<li>kmTimer1EnableInterruptCompA()
: <a class="el" href="km_timer1_8h.html#ad56c9c3a80521eed476d99ee17b6aea8">kmTimer1.h</a>
</li>
<li>kmTimer1EnableInterruptCompB()
: <a class="el" href="km_timer1_8h.html#a90f349c5b8f94876cc7c44eb25443966">kmTimer1.h</a>
</li>
<li>kmTimer1EnableInterruptCompC()
: <a class="el" href="km_timer1_8h.html#af995a7d86f1e409b0ce58bc4c86dabb5">kmTimer1.h</a>
</li>
<li>kmTimer1EnableInterruptInpCapture()
: <a class="el" href="km_timer1_8h.html#a5bff92a2fbac87c8b21b4abdc46000f0">kmTimer1.h</a>
</li>
<li>kmTimer1EnableInterruptOVF()
: <a class="el" href="km_timer1_8h.html#acad89c9d836691618ce82ef60382c41c">kmTimer1.h</a>
</li>
<li>kmTimer1GetValueCompA()
: <a class="el" href="km_timer1_8h.html#a9e380030eb6109955c05331e5717ed44">kmTimer1.h</a>
</li>
<li>kmTimer1GetValueCompB()
: <a class="el" href="km_timer1_8h.html#a2d27468eb8950efeaf45dd636eacd5cf">kmTimer1.h</a>
</li>
<li>kmTimer1GetValueCompC()
: <a class="el" href="km_timer1_8h.html#a76e65e03cb7a1b2ce94c9fcb25fc7015">kmTimer1.h</a>
</li>
<li>kmTimer1GetValueOvf()
: <a class="el" href="km_timer1_8h.html#a6cbd02ea92c99ee321de0b43ff6b2ef0">kmTimer1.h</a>
</li>
<li>kmTimer1Init()
: <a class="el" href="km_timer1_8h.html#ab224e79dc11b32b495bef9f1f169d2d4">kmTimer1.h</a>
</li>
<li>kmTimer1InitExternal()
: <a class="el" href="km_timer1_8h.html#a00ac94dfc2b43745a133fc4ac848da97">kmTimer1.h</a>
</li>
<li>kmTimer1InitInputCapture()
: <a class="el" href="km_timer1_8h.html#ac7ece36c61b2ebf429e65cbd8363c63c">kmTimer1.h</a>
</li>
<li>kmTimer1InitOnAccuratePeriodGenerateOutputClockA()
: <a class="el" href="km_timer1_8h.html#a1e49c5721fd397e83f48753b61f1f8c8">kmTimer1.h</a>
</li>
<li>kmTimer1InitOnAccurateTimeCompABInterruptCallback()
: <a class="el" href="km_timer1_8h.html#a2c4a34c0f9da7bbbfd785ee28f1116b0">kmTimer1.h</a>
</li>
<li>kmTimer1InitOnAccurateTimeCompAInterruptCallback()
: <a class="el" href="km_timer1_8h.html#a5edcd2f729b7420107df62dadae45078">kmTimer1.h</a>
</li>
<li>kmTimer1InitOnAccurateTimeFastPwm()
: <a class="el" href="km_timer1_8h.html#aca152b83da38b68c2f6384cf3fe75c2a">kmTimer1.h</a>
</li>
<li>kmTimer1InitOnAccurateTimePcPwm()
: <a class="el" href="km_timer1_8h.html#a4b105ee227388dd66a34a87d9095ff8e">kmTimer1.h</a>
</li>
<li>kmTimer1InitOnPrescalerBottomToTopFastPwm()
: <a class="el" href="km_timer1_8h.html#adbf6e76bb4ddb39ab03b2cf9b0a37dea">kmTimer1.h</a>
</li>
<li>kmTimer1InitOnPrescalerBottomToTopFastPwmOCA()
: <a class="el" href="km_timer1_8h.html#a8e7707918cbe77c7644f3da44f563f63">kmTimer1.h</a>
</li>
<li>kmTimer1InitOnPrescalerBottomToTopOvfCompABCInterruptCallback()
: <a class="el" href="km_timer1_8h.html#a22d0b22dd565d41eadabc0f92a2eddcd">kmTimer1.h</a>
</li>
<li>kmTimer1InitOnPrescalerBottomToTopPcPwm()
: <a class="el" href="km_timer1_8h.html#ab7f0e9e65e7ca2f8791805410aae3cd1">kmTimer1.h</a>
</li>
<li>kmTimer1InitOnPrescalerBottomToTopPcPwmOCA()
: <a class="el" href="km_timer1_8h.html#a52b9703658efe17bd8e425113ba6fa45">kmTimer1.h</a>
</li>
<li>kmTimer1InpCaptureCallbackType
: <a class="el" href="km_timer1_8h.html#a59fe19630a08ffd0b8d745e03dc03dd0">kmTimer1.h</a>
</li>
<li>kmTimer1InpCaputureGetState()
: <a class="el" href="km_timer1_8h.html#a3b1a8f12ebc174fef40ba961583bd3f1">kmTimer1.h</a>
</li>
<li>kmTimer1RegisterCallbackCompA()
: <a class="el" href="km_timer1_8h.html#a6d0f8559d7c69ede14dfafe0e17874bd">kmTimer1.h</a>
</li>
<li>kmTimer1RegisterCallbackCompB()
: <a class="el" href="km_timer1_8h.html#a607c215d862c96191ebc04ec366695c9">kmTimer1.h</a>
</li>
<li>kmTimer1RegisterCallbackCompC()
: <a class="el" href="km_timer1_8h.html#a5bb99678be53962979bace5c4786ab5a">kmTimer1.h</a>
</li>
<li>kmTimer1RegisterCallbackInpCapture()
: <a class="el" href="km_timer1_8h.html#a97b81df8485e9756c7389f11e4423802">kmTimer1.h</a>
</li>
<li>kmTimer1RegisterCallbackOVF()
: <a class="el" href="km_timer1_8h.html#ab873b4b92f06290ac8684dc9a3e2f2ec">kmTimer1.h</a>
</li>
<li>kmTimer1Restart()
: <a class="el" href="km_timer1_8h.html#a3e7a5d8ba15085a19e019c7b94be0bea">kmTimer1.h</a>
</li>
<li>kmTimer1SetCallbackUserDataCompA()
: <a class="el" href="km_timer1_8h.html#a403fbafab89b9126b98bc6adcfc5a806">kmTimer1.h</a>
</li>
<li>kmTimer1SetCallbackUserDataCompB()
: <a class="el" href="km_timer1_8h.html#a44a59c4c7457818167e3eb7ae805d0c0">kmTimer1.h</a>
</li>
<li>kmTimer1SetCallbackUserDataCompC()
: <a class="el" href="km_timer1_8h.html#a73a7fa1cf64429afcb2b44e4f55b3130">kmTimer1.h</a>
</li>
<li>kmTimer1SetCallbackUserDataOVF()
: <a class="el" href="km_timer1_8h.html#a96bcbfd05361c391eb9afbac8e2a321f">kmTimer1.h</a>
</li>
<li>kmTimer1SetPwmDutyAccurateTimeModes()
: <a class="el" href="km_timer1_8h.html#ade43b9567868f12bda3f2a2ac88e42c9">kmTimer1.h</a>
</li>
<li>kmTimer1SetPwmDutyBottomToTop()
: <a class="el" href="km_timer1_8h.html#a659a72a778355888434562e1a2143156">kmTimer1.h</a>
</li>
<li>kmTimer1SetPwmInversion()
: <a class="el" href="km_timer1_8h.html#ae6a6dafde75f3f4efe2e876b77fa8f36">kmTimer1.h</a>
</li>
<li>kmTimer1SetValueCompA()
: <a class="el" href="km_timer1_8h.html#a2568bb7a7766e192a3425ae93145f4f0">kmTimer1.h</a>
</li>
<li>kmTimer1SetValueCompB()
: <a class="el" href="km_timer1_8h.html#acb1a2cab941f521b48793f5e544a30ff">kmTimer1.h</a>
</li>
<li>kmTimer1SetValueCompC()
: <a class="el" href="km_timer1_8h.html#a62ecf23ea36e66b9b83a81d5786ae966">kmTimer1.h</a>
</li>
<li>kmTimer1SetValueOvf()
: <a class="el" href="km_timer1_8h.html#a8fc225072fd4209424105d7f66ca5526">kmTimer1.h</a>
</li>
<li>kmTimer1Start()
: <a class="el" href="km_timer1_8h.html#a6a2ca82d50b313d21675e4f986157651">kmTimer1.h</a>
</li>
<li>kmTimer1Stop()
: <a class="el" href="km_timer1_8h.html#ac3d7925685129337f1ac7bfcc91c88d0">kmTimer1.h</a>
</li>
<li>kmTimer1UnregisterCallbackCompA()
: <a class="el" href="km_timer1_8h.html#a33f714bd10294aa8507a1d554e3bb40f">kmTimer1.h</a>
</li>
<li>kmTimer1UnregisterCallbackCompB()
: <a class="el" href="km_timer1_8h.html#aaccf66404bf070267784f662ccaff7d0">kmTimer1.h</a>
</li>
<li>kmTimer1UnregisterCallbackCompC()
: <a class="el" href="km_timer1_8h.html#a09ae20f68414e552e91219daa6b81cf7">kmTimer1.h</a>
</li>
<li>kmTimer1UnregisterCallbackInpCapture()
: <a class="el" href="km_timer1_8h.html#a9323f5934f4ae252aa73f77795ca8195">kmTimer1.h</a>
</li>
<li>kmTimer1UnregisterCallbackOVF()
: <a class="el" href="km_timer1_8h.html#a791c5c2be7e815e47f01217e3f0201a1">kmTimer1.h</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>Tcc1PwmOut
: <a class="el" href="km_timer1_8h.html#a9d9cdd11b5a6de5c56b0cf103c9ebdae">kmTimer1.h</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.15 </li>
  </ul>
</div>
</body>
</html>
